Package org.apache.sling.scripting.sightly.impl.engine

# Class SightlyEngineConfiguration

java.lang.Object
org.apache.sling.scripting.sightly.impl.engine.SightlyEngineConfiguration

public class SightlyEngineConfiguration extends Object
Holds various HTL engine global configurations.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`LEGACY_BOOLEAN_CASTING_DEFAULT`

## Constructor Summary

Constructors
Constructor
Description
`SightlyEngineConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(org.apache.sling.scripting.sightly.impl.engine.SightlyEngineConfiguration.Configuration configuration)`
`Set<String>`
`getAllowedExpressionOptions()`
`String`
`getBundleSymbolicName()`
`String`
`getEngineVersion()`
`String`
`getScratchFolder()`
`int`
`getScriptResolutionCacheSize()`
`boolean`
`keepGenerated()`
`boolean`
`legacyBooleanCasting()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LEGACY_BOOLEAN_CASTING_DEFAULT

public static final boolean LEGACY_BOOLEAN_CASTING_DEFAULT

See Also:
  - Constant Field Values

## Constructor Details

### SightlyEngineConfiguration

public SightlyEngineConfiguration()

## Method Details

### getEngineVersion

public String getEngineVersion()

### getBundleSymbolicName

public String getBundleSymbolicName()

### getScratchFolder

public String getScratchFolder()

### keepGenerated

public boolean keepGenerated()

### getAllowedExpressionOptions

public Set<String> getAllowedExpressionOptions()

### legacyBooleanCasting

public boolean legacyBooleanCasting()

### getScriptResolutionCacheSize

public int getScriptResolutionCacheSize()

### activate

protected void activate(org.apache.sling.scripting.sightly.impl.engine.SightlyEngineConfiguration.Configuration configuration)